Page MenuHomePhabricator

Disable Jenkins autodiscovery system
Closed, ResolvedPublic

Description

Jenkins listens for broadcast/multicast packets to advertise itself on the network. That let agents find the master?

Details (thanks @faidon): https://wiki.jenkins.io/display/JENKINS/Auto-discovering+Jenkins+on+the+network

It causes noise and confusion on the network. So lets disable it if at all possible.

Related Objects

Event Timeline

hashar created this task.Oct 19 2017, 6:54 PM
Restricted Application added a project: Operations. · View Herald TranscriptOct 19 2017, 6:54 PM
hashar claimed this task.Oct 19 2017, 7:23 PM

Change 385230 had a related patch set uploaded (by Hashar; owner: Hashar):
[operations/puppet@production] jenkins: disable auto-discovery

https://gerrit.wikimedia.org/r/385230

Change 385230 merged by Dzahn:
[operations/puppet@production] jenkins: disable auto-discovery

https://gerrit.wikimedia.org/r/385230

Mentioned in SAL (#wikimedia-operations) [2017-10-20T19:19:18Z] <hasharAway> restarting Jenkins - T178608

hashar closed this task as Resolved.Oct 20 2017, 7:24 PM

netstat -gn seems to indicate there is no more any multicast.